Prev |  | Next

# FcFontSetMatch

## Name

FcFontSetMatch -- Return the best font from a set of font sets

## Synopsis

    #include <fontconfig/fontconfig.h>

``FcPattern * FcFontSetMatch`(FcConfig *config, FcFontSet **sets, intnsets, FcPattern *pattern, FcResult *result);`

## Description

Finds the font in `sets` most closely matching `pattern` and returns the result of `FcFontRenderPrepare` for that font and the provided pattern. This function should be called only after `FcConfigSubstitute` and `FcDefaultSubstitute` have been called for `pattern`; otherwise the results will not be correct. If `config` is NULL, the current configuration is used. Returns NULL if an error occurs during this process.

Prev | Home | Next
FcFontSetList | Up | FcFontSetPrint